Create a user

This POST endpoint is used to create a new user in MassPay.
You can use this endpoint to create a new user with the specified user details in JSON format in the request Body.
To use this endpoint, you need to provide the internal_user_id, country, first_name, last_name, and email as required parameters in the Request Body.
The response will include details about the newly created user.

Body Params

Created user object

string
required

A client-defined identifier for the user. This is the unique ID assigned to the user on your system. Max 75 characters. Allows letters, numbers, and + , - . / _ ~ |

string

The user's street address. Required in order to process a payout.

string

The user's street address, line 2.

string

The user's city. Required in order to process a payout.

string

The user's state/province.

string

The user's postal code.

string
required

The user's country code. ISO_3166 code. Required in order to process a payout.

string
required

The user's first name. (If Business account, the first name of the representative)

string

The user's middle name. (If Business account, the middle name of the representative)

string
required

The user's last name. (If Business account, the last name of the representative)

string
required

The user's e-mail address. Must be unique. Cannot have two users with the same e-mail address.

string
length between 2 and 2

The user's preferred language of communication. If not provided, defaults to English (en)

string

(Optional) Mobile number of user. Allows for SMS notifications upon availability of funds

string

Company legal name (Only if Business account)

date

Date of birth. Optional when creating a user, but required before processing a payout unless explicitly exempted by compliance. Users must be at least 18 years old, unless a lower age is approved by compliance.

metadata
object

Optional JSON object with attributes that can later be searched to locate this user. Do not include PII as this object is not encrypted.

boolean
Defaults to false

Should we notify the user via email that their user has been created in the system? They will receive instructions to establish such account.

Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json